Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2872)

Issue 52100043: code review 52100043: net/http/cookiejar: reject malformed domains (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 7 months ago by volker.dobler
Modified:
5 years, 7 months ago
Reviewers:
nigeltao, bradfitz
CC:
golang-codereviews
Visibility:
Public.

Description

net/http/cookiejar: reject malformed domains This CL rejects domain names with two trailing dots. Such domain names are malformed but currently not properly rejected on Linux. This is a stopgap until the underlying issue 7122 is solved.

Patch Set 1 #

Patch Set 2 : diff -r 93fde524b6ac https://code.google.com/p/go/ #

Patch Set 3 : diff -r 93fde524b6ac https://code.google.com/p/go/ #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -0 lines) Patch
M src/pkg/net/http/cookiejar/jar.go View 1 1 chunk +10 lines, -0 lines 3 comments Download

Messages

Total messages: 8
volker.dobler
Hello bradfitz@golang.org, nigeltao@golang.org (cc: golang-codereviews@googlegroups.com), I'd like you to review this change to https://code.google.com/p/go/
5 years, 7 months ago (2014-01-14 14:19:01 UTC) #1
bradfitz
I have no opinion on this. Seems fine if that's what the cookie spec(s) say. ...
5 years, 7 months ago (2014-01-14 20:57:49 UTC) #2
volker.dobler
RFC 6265 is a bit unclear about this as it assumes that stuff like "www.google.com.." ...
5 years, 7 months ago (2014-01-14 21:20:28 UTC) #3
nigeltao
canonicalHostTests needs updating. https://codereview.appspot.com/52100043/diff/40001/src/pkg/net/http/cookiejar/jar.go File src/pkg/net/http/cookiejar/jar.go (right): https://codereview.appspot.com/52100043/diff/40001/src/pkg/net/http/cookiejar/jar.go#newcode315 src/pkg/net/http/cookiejar/jar.go:315: // TODO: Remove this test once ...
5 years, 7 months ago (2014-01-15 21:32:07 UTC) #4
volker.dobler
Maybe I am understanding Nigel now. Please excuse the slow progress. I assumed that Jar ...
5 years, 7 months ago (2014-01-16 11:01:13 UTC) #5
nigeltao
On Thu, Jan 16, 2014 at 10:01 PM, Volker Dobler <dr.volker.dobler@gmail.com> wrote: > Nigel, if ...
5 years, 7 months ago (2014-01-20 04:46:31 UTC) #6
volker.dobler
I think we have a proper (and shared) understanding of the problem space. But how ...
5 years, 7 months ago (2014-01-20 12:42:23 UTC) #7
volker.dobler
5 years, 7 months ago (2014-01-23 17:19:37 UTC) #8
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b